//
//  Profiles.m
//  ProfileViewer
//
//  Created by Ken Anderson on 11/2/11.
//  Copyright (c) 2011 University of Colorado, Boulder. All rights reserved.
//

#import "Profiles.h"
#import "Profile.h"

@interface Profiles ()

@property (nonatomic, strong) NSMutableArray* profiles;

@end

@implementation Profiles

@synthesize profiles = _profiles;

- (id) init {
    self = [super init];
    if (self) {
        self.profiles = [[NSMutableArray alloc] init];
    }
    return self;
}

- (NSArray*) allProfiles {
    return self.profiles;
}

- (Profile*) createProfile {
    [self.profiles addObject:[Profile randomProfile]];
    return [self.profiles objectAtIndex:([self.profiles count]-1)];
}


@end
