//
//  AppDelegate.m
//  ProfileViewer
//
//  Created by Ken Anderson on 11/2/11.
//  Copyright (c) 2011 University of Colorado, Boulder. All rights reserved.
//

#import "AppDelegate.h"
#import "Profile.h"
#import "Profiles.h"

@implementation AppDelegate

@synthesize window = _window;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    self.window.backgroundColor = [UIColor whiteColor];
    [self.window makeKeyAndVisible];
    
    Profiles* myProfiles = [[Profiles alloc] init];
    
    for (int i = 0; i < 10; i++) {
        [myProfiles createProfile];
    }

    NSArray* profiles = [myProfiles allProfiles];
    
    for (Profile* profile in profiles) {
        NSLog(@"%@", [Profile randomProfile]);
    }
    
    return YES;
}

@end
